Package io.strimzi.systemtest.utils.kubeUtils.objects

## Class ServiceUtils

- java.lang.Object
- - io.strimzi.systemtest.utils.kubeUtils.objects.ServiceUtils

-     public class ServiceUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `waitForLoadBalancerService​(String serviceName)` |
    `static void` | `waitForNodePortService​(String serviceName)` |
    `static void` | `waitForServiceDeletion​(String serviceName)` | Wait until Service of the given name will be deleted.
    `static void` | `waitForServiceLabelsChange​(String serviceName, Map<String,​String> labels)` |
    `static void` | `waitForServiceLabelsDeletion​(String serviceName, String... labelKeys)` |
    `static void` | `waitForServiceRecovery​(String serviceName, String serviceUid)` | Wait until Service of the given name will be recovered.
    `static void` | `waitUntilAddressIsReachable​(String address)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### waitForServiceLabelsChange

          public static void waitForServiceLabelsChange​(String serviceName,
                                                        Map<String,​String> labels)

    - #### waitForServiceLabelsDeletion

          public static void waitForServiceLabelsDeletion​(String serviceName,
                                                          String... labelKeys)

    - #### waitForLoadBalancerService

          public static void waitForLoadBalancerService​(String serviceName)

    - #### waitForNodePortService

          public static void waitForNodePortService​(String serviceName)
                                             throws InterruptedException

      Throws:
        `InterruptedException`

    - #### waitForServiceDeletion

          public static void waitForServiceDeletion​(String serviceName)

      Wait until Service of the given name will be deleted.
      Parameters:
        `serviceName` - service name

    - #### waitForServiceRecovery

          public static void waitForServiceRecovery​(String serviceName,
                                                    String serviceUid)

      Wait until Service of the given name will be recovered.
      Parameters:
        `serviceName` - service name
        `serviceUid` - service original uid

    - #### waitUntilAddressIsReachable

          public static void waitUntilAddressIsReachable​(String address)